> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls



## OpenAPI

````yaml get /v1/calls/list
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/calls/list:
    get:
      tags:
        - calls
      summary: List Calls
      operationId: list_calls
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: sort_column
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Column
        - name: sort_desc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: false
            title: Sort Desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CallPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NormalizedCall'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        has_more:
          type: boolean
          title: Has More
        total:
          type: integer
          title: Total
        total_is_estimated:
          type: boolean
          title: Total Is Estimated
      type: object
      required:
        - items
        - page
        - size
        - has_more
        - total
        - total_is_estimated
      title: CallPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NormalizedCall:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        status:
          allOf:
            - $ref: '#/components/schemas/CallStatus'
          default: not_started
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        recording_available:
          type: boolean
          title: Recording Available
          default: false
        transcript:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript
        human_detection_result:
          anyOf:
            - type: string
              enum:
                - human
                - no_human
            - type: 'null'
          title: Human Detection Result
        do_not_call_result:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Do Not Call Result
        telephony_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Telephony Id
        stage:
          anyOf:
            - type: string
              enum:
                - created
                - picked_up
                - transfer_started
                - transfer_successful
            - type: 'null'
          title: Stage
        stage_outcome:
          anyOf:
            - type: string
              enum:
                - human_unanswered
                - call_did_not_connect
                - human_disconnected
                - bot_disconnected
                - transfer_unanswered
                - transfer_disconnected
            - type: 'null'
          title: Stage Outcome
        telephony_metadata:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/VonageTelephonyMetadata'
                - $ref: '#/components/schemas/TwilioTelephonyMetadata'
              discriminator:
                propertyName: type
                mapping:
                  telephony_metadata_twilio: '#/components/schemas/TwilioTelephonyMetadata'
                  telephony_metadata_vonage: '#/components/schemas/VonageTelephonyMetadata'
            - type: 'null'
          title: Telephony Metadata
        start_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: number
            - type: 'null'
          title: End Time
        to_number:
          type: string
          title: To Number
        from_number:
          type: string
          title: From Number
        agent:
          type: string
          format: uuid
          title: Agent
        telephony_provider:
          type: string
          enum:
            - vonage
            - twilio
          title: Telephony Provider
        agent_phone_number:
          type: string
          title: Agent Phone Number
        hipaa_compliant:
          type: boolean
          title: Hipaa Compliant
          default: false
        on_no_human_answer:
          anyOf:
            - type: string
              enum:
                - continue
                - hangup
            - type: 'null'
          title: On No Human Answer
        context:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Context
        run_do_not_call_detection:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Run Do Not Call Detection
        telephony_account_connection:
          anyOf:
            - type: string
              format: uuid
            - $ref: '#/components/schemas/TwilioAccountConnection'
            - type: 'null'
          title: Telephony Account Connection
        telephony_params:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Telephony Params
      type: object
      required:
        - id
        - user_id
        - to_number
        - from_number
        - agent
        - telephony_provider
        - agent_phone_number
      title: NormalizedCall
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CallStatus:
      type: string
      enum:
        - not_started
        - in_progress
        - error
        - ended
      title: CallStatus
    VonageTelephonyMetadata:
      properties:
        type:
          type: string
          enum:
            - telephony_metadata_vonage
          const: telephony_metadata_vonage
          title: Type
          default: telephony_metadata_vonage
      type: object
      title: VonageTelephonyMetadata
    TwilioTelephonyMetadata:
      properties:
        type:
          type: string
          enum:
            - telephony_metadata_twilio
          const: telephony_metadata_twilio
          title: Type
          default: telephony_metadata_twilio
        call_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Sid
        call_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Status
        transfer_call_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfer Call Sid
        transfer_call_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfer Call Status
        conference_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Conference Sid
      type: object
      title: TwilioTelephonyMetadata
    TwilioAccountConnection:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        credentials:
          $ref: '#/components/schemas/TwilioCredentials'
        type:
          type: string
          enum:
            - account_connection_twilio
          const: account_connection_twilio
          title: Type
        steering_pool:
          items:
            type: string
          type: array
          title: Steering Pool
        account_supports_any_caller_id:
          type: boolean
          title: Account Supports Any Caller Id
          default: false
      type: object
      required:
        - id
        - user_id
        - credentials
        - type
      title: TwilioAccountConnection
    TwilioCredentials:
      properties:
        twilio_account_sid:
          type: string
          title: Twilio Account Sid
        twilio_auth_token:
          type: string
          title: Twilio Auth Token
      type: object
      required:
        - twilio_account_sid
        - twilio_auth_token
      title: TwilioCredentials
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````